/*
 * Copyright 2006 Robert Burrell Donkin
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */ 
package rat.element;


/**
 * Do nothing {@link IElementVisitor} implementation.
 */
public class ElementVisitorImpl implements IElementVisitor {

	public void visit(StandardContentElement standardContent) {
		visit((IElement) standardContent);
	}

	public void visit(NoteElement note) {
		visit((IElement) note);
	}

	public void visit(BinaryElement binary) {
		visit((IElement) binary);
	}

	public void visit(ArchiveElement archive) {
		visit((IElement) archive);
	}

	public void visit(IElement element) {
		// DO NOTHING
	}
}
