/*
 * Copyright 2006 Robert Burrell Donkin
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */ 
package rat.element;

import java.io.File;
import java.io.Reader;

/**
 * An element whose content is either known to be standard text
 * or who content is unknown.
 */
public class StandardContentElement extends AbstractElement {

	
	public StandardContentElement(File file) {
		super(file);
	}

    public StandardContentElement(final String name, final Reader reader) {
        super(name, reader);
    }

	public void accept(IElementVisitor visitor) {
		visitor.visit(this);
	}
	
	public String toString() {			
		return getName();
	}
}
