/*
 * Copyright 2006 Robert Burrell Donkin
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */ 
package rat.element.visitor;

import rat.element.ArchiveElement;
import rat.element.BinaryElement;
import rat.element.IElementVisitor;
import rat.element.NoteElement;
import rat.element.StandardContentElement;

public class ElementVisitorProxy implements IElementVisitor {

    private final IElementVisitor visitor;
    
    public ElementVisitorProxy(final IElementVisitor visitor) {
        this.visitor = visitor;
    }
    
    public void visit(StandardContentElement standardContent) {
        visitor.visit(standardContent);
    }

    public void visit(NoteElement note) {
        visitor.visit(note);        
    }

    public void visit(BinaryElement binary) {
        visitor.visit(binary);        
    }

    public void visit(ArchiveElement archive) {
        visitor.visit(archive);        
    }

}
