/*
 * Copyright 2006 Robert Burrell Donkin
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */ 
package rat.license.standard;

import rat.license.ILicense;
import rat.license.ILicenseMatcher;

/**
 * Matches Apache Software License, Version 2.0
 *
 */
public final class ApacheSoftwareLicense20 extends BaseLicense implements ILicense,
		ILicenseMatcher {

	public static final String FIRST_LICENSE_LINE = "Licensed under the Apache License, Version 2.0 (the \"License\")";
	public static final String LICENSE_REFERENCE_LINE = "http://www.apache.org/licenses/LICENSE-2.0";
	
	public ApacheSoftwareLicense20() {
		super("ASL  ", "Apache Software License", "", "2.0", true);
	}
	
	public ILicense match(String line) {
		ILicense result = null;
		if (matches(line)) {
			result = this;
		}
		return result;
	}

	boolean matches(String line) {
		return line.indexOf(FIRST_LICENSE_LINE, 0) >= 0 
		|| line.indexOf(LICENSE_REFERENCE_LINE, 0) >= 0;
	}
	
	public void reset() {	
	}
}
