/*
 * Copyright 2006 Robert Burrell Donkin
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */ 
package rat.license.standard;

import rat.license.ILicense;

class BaseLicense implements ILicense {

	private final String code;
	private final String name;
	private final String notes;
	private final String version;
	private final boolean isAcceptable;
    private final boolean isGenerated;
	
    public BaseLicense(final String code, final String name, final String notes, 
            final String version, final boolean isAcceptable)
    {
        this(code, name, notes, version, isAcceptable, false);
    }
    
	public BaseLicense(final String code, final String name, final String notes, 
			final String version, final boolean isAcceptable, final boolean isGenerated)
	{
		this.code = code;
		this.name = name;
		this.notes = notes;
		this.version = version;
		this.isAcceptable = isAcceptable;
        this.isGenerated = isGenerated;
	}
	
	public String getCode() {
		return code;
	}

	public String getName() {
		return name;
	}

	public String getNotes() {
		return notes;
	}

	public String getVersion() {
		return version;
	}

	public boolean isAcceptable() {
		return isAcceptable;
	}

    public boolean isGenerated() {
        return isGenerated;
    }
}
